# Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException Class Reference

Base class for sample exceptions. More...

Inherited by Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceObjectsException, Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceObjectsException, Microsoft.Samples.DirectX.UtilityToolkit.CreatingDeviceObjectsException, Microsoft.Samples.DirectX.UtilityToolkit.MediaNotFoundException, Microsoft.Samples.DirectX.UtilityToolkit.MediaNotFoundException, Microsoft.Samples.DirectX.UtilityToolkit.MediaNotFoundException, Microsoft.Samples.DirectX.UtilityToolkit.NoCompatibleDevicesException, Microsoft.Samples.DirectX.UtilityToolkit.NoCompatibleDevicesException, Microsoft.Samples.DirectX.UtilityToolkit.NoCompatibleDevicesException, Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException, Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException, Microsoft.Samples.DirectX.UtilityToolkit.NoDirect3DException, Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceException, Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException, Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException, and Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.

List of all members.

## Public Member Functions
| DirectXSampleException (string message)
| DirectXSampleException (string message, Exception inner)
| DirectXSampleException (string message)
| DirectXSampleException (string message, Exception inner)
| DirectXSampleException (string message)
| DirectXSampleException (string message, Exception inner)

## Detailed Description

Base class for sample exceptions.

Definition at line 16 of file dxmutexception.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message | ) |

Definition at line 18 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message,
|  | Exception | inner |
| ) |  |  |

Definition at line 19 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message | ) |

Definition at line 18 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message,
|  | Exception | inner |
| ) |  |  |

Definition at line 19 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message | ) |

Definition at line 18 of file wdxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.DirectXSampleException.DirectXSampleException | ( | string | message,
|  | Exception | inner |
| ) |  |  |

Definition at line 19 of file wdxmutexception.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutexception.cs